HMWJGraphInternal::CellFormat Struct Reference

a cell format in HMWJGraph More...

## Public Member Functions

| CellFormat ()
| constructor More...

## Public Attributes

MWAWColor | m_backColor
| the background color More...
std::vector< MWAWBorder > | m_borders
| the border: order defined by MWAWBorder::Pos More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, CellFormat const &frmt)
| operator<< More...

## Detailed Description

a cell format in HMWJGraph

## Constructor & Destructor Documentation

HMWJGraphInternal::CellFormat::CellFormat | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | CellFormat const & | frmt
| ) |  |

friend

operator<<

## Member Data Documentation

MWAWColor HMWJGraphInternal::CellFormat::m_backColor

the background color

Referenced by HMWJGraph::readTableFormatsList(), and HMWJGraphInternal::TableCell::update().

std::vector<MWAWBorder> HMWJGraphInternal::CellFormat::m_borders

the border: order defined by MWAWBorder::Pos

Referenced by HMWJGraph::readTableFormatsList(), and HMWJGraphInternal::TableCell::update().

std::string HMWJGraphInternal::CellFormat::m_extra

extra data

Referenced by HMWJGraph::readTableFormatsList().

The documentation for this struct was generated from the following file:

- HMWJGraph.cxx